<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Dashboard</title>
    <link rel="stylesheet"
          href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css"
          integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb"
          crossorigin="anonymous">
    <style>
        img:hover {
            box-shadow: 6px 6px 3px #888888;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col">
                <div class="jumbotron mt-2">
                    <h1>Welcome to the Fake AUTH Server</h1>
                    <hr class="my-4">
                    <button type="button" id="services" class="btn btn-primary">Services</button>
                    <button type="button" id="logout" class="btn btn-danger">Sign Out</button>
                </div>

                <div class="row">
                    <div class="col text-center">
                        <img src="https://picsum.photos/200/?image=1071"
                             class="img-fluid rounded-circle"/>
                    </div>
                    <div class="col text-center">
                        <img src="https://picsum.photos/200/?image=1076"
                             class="img-fluid rounded-circle"/>
                    </div>
                    <div class="col text-center">
                        <img src="https://picsum.photos/200/?image=1060"
                             class="img-fluid rounded-circle"/>
                    </div>
                </div>

                <div class="row mt-2">
                    <div class="col">
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit. De vacuitate doloris eadem sententia
                        erit.
                        Ergo hoc quidem apparet, nos ad agendum esse natos. Multoque hoc melius nos veriusque quam
                        Stoici.
                        Tuo vero id quidem, inquam, arbitratu. Id quaeris, inquam, in quo, utrum respondero, verses te
                        huc
                        atque illuc necesse est. Illum mallem levares, quo optimum atque humanissimum virum, Cn. Duo
                        Reges:
                        constructio interrete. Quae cum dixisset paulumque institisset, Quid est?
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
            integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js"
            integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh"
            crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js"
            integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ"
            crossorigin="anonymous"></script>
    <script type="application/javascript">
        $(() => {
            let jwt = new URLSearchParams(document.location.search).get('jwt');
            if (jwt) {
                window.sessionStorage.setItem('JWT', jwt);
            }

            $('#logout').click(() => {
                window.sessionStorage.removeItem('JWT');
                document.location.href = '/auth/login';
            });

            $('#services').click(() => {
                document.location.href = '/protected/services?jwt=' + jwt;
            });
        });
    </script>
</body>
</html>